org.apache.commons.math3.ode

## Interface FirstOrderDifferentialEquations

- All Known Subinterfaces:
    MainStateJacobianProvider
  All Known Implementing Classes:
    FirstOrderConverter

      public interface FirstOrderDifferentialEquations

  This interface represents a first order differential equations set.

  This interface should be implemented by all real first order differential equation problems before they can be handled by the integrators `FirstOrderIntegrator.integrate(org.apache.commons.math3.ode.FirstOrderDifferentialEquations, double, double[], double, double[])` method.

  A first order differential equations problem, as seen by an integrator is the time derivative `dY/dt` of a state vector `Y`, both being one dimensional arrays. From the integrator point of view, this derivative depends only on the current time `t` and on the state vector `Y`.

  For real problems, the derivative depends also on parameters that do not belong to the state vector (dynamical model constants for example). These constants are completely outside of the scope of this interface, the classes that implement it are allowed to handle them as they want.

  Since:
    1.2
  Version:
    $Id: FirstOrderDifferentialEquations.java 1244107 2012-02-14 16:17:55Z erans $
  See Also:
    `FirstOrderIntegrator`, `FirstOrderConverter`, `SecondOrderDifferentialEquations`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `computeDerivatives(double t, double[] y, double[] yDot)` Get the current time derivative of the state vector.
    `int` | `getDimension()` Get the dimension of the problem.

- - ### Method Detail

    - #### getDimension

          int getDimension()

      Get the dimension of the problem.
      Returns:
        dimension of the problem

    - #### computeDerivatives

          void computeDerivatives(double t,
                                double[] y,
                                double[] yDot)

      Get the current time derivative of the state vector.
      Parameters:
        `t` - current value of the independent time variable
        `y` - array containing the current value of the state vector
        `yDot` - placeholder array where to put the time derivative of the state vector

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.